Subject: bug#6861: 24.0.50; Scroll lock not bound

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Aug 2019 22:21:52 +0300

> From: David Kastrup <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 27 Aug 2019 21:11:39 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: David Kastrup <[email-masked]>
> >> Cc: Stefan Kangas <[email-masked]>,  [email-masked]
> >> Date: Tue, 27 Aug 2019 15:00:36 +0200
> >> 
> >> According to Git's logs, w32-scroll-lock-modifier keyboard support was
> >> apparently originally contributed by Geoff Voelker in 1999 (he has not
> >> been active since that year) and subsequently maintained and documented
> >> by you (last documentation changes in 2016).  For better or worse, that
> >> probably makes you by far the best candidate for documenting (and/or
> >> possibly even for fixing) the interactions of w32-scroll-lock-modifier
> >> with default activations of the Scroll Lock keybindings on non-Windows
> >> systems.
> >
> > What if the best candidate doesn't necessarily have time for doing
> > everything for which he/she is the best candidate?  Does the best
> > candidate then get to be able to ask someone else to do it?
> 
> Nobody gets to ask someone else to do anything regarding free software
> unless paying them for it.  In the end, that means that most features
> and ports get maintained by those interested in the particular port
> and/or feature.
> 
> The quality of the Windows port, like all ports, stands and falls with
> the interest of those investing time and energy into it.  Blocking
> useful features for free platforms because of interference with
> non-standard settings of Windows-only special features is something that
> does not make a lot of sense within the frame of the GNU project.
> 
> If you have a concrete proposal of what to do better other than "don't
> touch this code", based on your relative acquaintance with it, that
> would likely go a long way towards keeping things running also on W32.

You've made a huge mountain out of a molehill.  All I did was review a
patch and provide comments to make it better.